Loading...
Searching...
No Matches
rna4.hpp File Reference

Provides seqan3::rna4, container aliases and string literals. More...

`#include <vector>`
`#include <seqan3/alphabet/nucleotide/dna4.hpp>`
`#include <seqan3/alphabet/nucleotide/nucleotide_base.hpp>`
Include dependency graph for rna4.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::rna4
| The four letter RNA alphabet of A,C,G,U. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::literals
| The SeqAn namespace for literals.

## Functions

Nucleotide literals
constexpr rna4_vector | seqan3::literals::operator""_rna4 (char const *s, std::size_t n)
| The seqan3::rna4 string literal.
constexpr rna4 | seqan3::literals::operator""_rna4 (char const c) noexcept
| The seqan3::rna4 char literal.

## Detailed Description

Provides seqan3::rna4, container aliases and string literals.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me